"use strict";

var mqtt = require('mqtt')

var device = "esp32_807A98"
var broker_addr = "mqtt.lab"
var broker_port = 1883
var src = "mysrc"

var client  = mqtt.connect('mqtt://mqtt.lab')
 
client.on('connect', function () {
client.subscribe(src+'/rpc', function (err) {
    if (!err) {
      var msg = {
        src: src,
	id: 456,
	method: "Sys.GetInfo"
      };
      client.publish(device+'/rpc', JSON.stringify(msg))
    }
  })
})
 
client.on('message', function (topic, message) {
//  console.log("Received: '" + message.toString() + "'");
  var msg = JSON.parse(message.toString());
  switch(msg.id){
  case 456:
  	process.stdout.write("System info:\n\t" + JSON.stringify(msg.result) + "\n");
  	break;
  }
  client.end()
})


